Get Stake state by Entity.
curl --request GET \
--url https://api.rated.network/v1/eigenlayer/entities/{operator_address}/state \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eigenlayer/entities/{operator_address}/state"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eigenlayer/entities/{operator_address}/state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"previous": "<string>",
"next": "<string>",
"pages": 1,
"results": [
{
"date": "2024-10-01",
"operatorAddress": "0xB0bd0c91798d720a5585364bb4be7396c5b9731",
"operatorName": "Bob The Operator",
"strategy": "0x54945180dB7943c0ed0FEE7EdaB2Bd24620256bc",
"token": [
{
"address": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"decimals": 18,
"name": "Wrapped Ether",
"symbol": "WETH"
}
],
"totalBalance": 32000000000000000000,
"totalShares": 32000000000000000000
}
]
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Metadata
Get Stake state by Entity.
This endpoint returns the daily stake state of an Entity
GET
/
v1
/
eigenlayer
/
entities
/
{operator_address}
/
state
Get Stake state by Entity.
This endpoint allows you to query the daily stake and shares balance of an operator based on their operator address, the specific strategy, and token address.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Path Parameters
Query Parameters
Start date
Example:
"2023-01-01"
End date
Example:
"2023-12-31"
The number of results returned per page
The number of results to skip before starting to return